Device (MCHC)
{
	Name (_ADR, 0x00000000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Haswell-ULT DRAM Controller" },
			"device_type", Buffer () { "Host bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (IGPU)
{
	Name (_ADR, 0x00020000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"AAPL,ig-platform-id", Buffer () { 0x00, 0x00, 0x26, 0x0C },
			"model", Buffer () { "Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller" },
			"hda-gfx", Buffer () { "onboard-1" },
			"AAPL,slot-name", Buffer () { "Internal" },
			"device_type", Buffer () { "VGA compatible controller" },
		})
	}
}
Device (HDAU)
{
	Name (_ADR, 0x00030000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Haswell-ULT HD Audio Controller" },
			"device_type", Buffer () { "Audio device" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (XHC)
{
	Name (_ADR, 0x00140000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series USB xHCI HC" },
			"device_type", Buffer () { "USB controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (IMEI)
{
	Name (_ADR, 0x00160000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series HECI #0" },
			"device_type", Buffer () { "Communication controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (pci8086,9c3d)
{
	Name (_ADR, 0x00160003)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series HECI KT" },
			"device_type", Buffer () { "Serial controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (IGBE)
{
	Name (_ADR, 0x00190000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Ethernet Connection I218-LM" },
			"device_type", Buffer () { "Ethernet controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (HDEF)
{
	Name (_ADR, 0x001b0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series HD Audio Controller" },
			"layout-id", Buffer () { 0x00, 0x00, 0x00, 0x00 },
			"hda-gfx", Buffer () { "onboard-2" },
			"AAPL,slot-name", Buffer () { "Internal" },
			"device_type", Buffer () { "Audio device" },
		})
	}
}
Device (EXP1)
{
	Name (_ADR, 0x001c0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series PCI Express Root Port 6" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (EXP2)
{
	Name (_ADR, 0x001c0001)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series PCI Express Root Port 3" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (SMBU)
{
	Name (_ADR, 0x001f0003)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series SMBus Controller" },
			"device_type", Buffer () { "SMBus" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (EH01)
{
	Name (_ADR, 0x001d0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series USB EHCI #1" },
			"device_type", Buffer () { "USB controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (LPC)
{
	Name (_ADR, 0x001f0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series LPC Controller" },
			"device_type", Buffer () { "ISA bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (SAT1)
{
	Name (_ADR, 0x001f0002)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "8 Series SATA Controller 1 [AHCI mode]" },
			"device_type", Buffer () { "SATA controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
